/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户当前全局参数
var ls_node=null;//当前选中的Node
queryData.FIELD_UNIT_ID_IS_PARENT='A';
var is_singleSelect = $.getUrlParam('singleSelect');
if(is_singleSelect == null || is_singleSelect=="" || is_singleSelect==undefined){
	is_singleSelect = false;
}else if(is_singleSelect == "true"){
	is_singleSelect = true;;
}else if(is_singleSelect == "false"){
	is_singleSelect = false;;
}
var is_ope = $.getUrlParam('ope');
if(is_ope == null || is_ope=="" || is_ope==undefined){
	is_ope = "1";
}

if(is_ope == "2"){
	$("#ORDERDIV").show();
}else{
	$("#ORDERDIV").hide();
}
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

//加载是否实体下拉框
var v_entity_data = [{CODE_ID:'0',CODE_NAME:'虚拟实体'},{CODE_ID:'1',CODE_NAME:'真实实体'}];

//加载区域类型下拉框
var v_area_data = [{CODE_ID:'1',CODE_NAME:'区域'},{CODE_ID:'2',CODE_NAME:'单位'},{CODE_ID:'3',CODE_NAME:'部门或处室'}];
/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"单位信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsUnitData_listMy',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : is_singleSelect,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
				{
					field : 'UNIT_ID',
					title : '单位编码',
					width : 100,
					align : 'left'
				},
				{
					field : 'NAME',
					title : '单位名称',
					width : 100,
					align : 'left'
				},
				{
					field : 'TYPE_NAME',
					title : '单位类型',
					width : 100,
					align : 'left'
				},
				{
					field : 'PARENT_NAME',
					title : '所属机构',
					width : 100,
					align : 'left'
				},
				{
					field : 'ORDER_ID',
					title : '排序',
					width : 60,
					align : 'center'
				},
				{
					field : 'USER_COUNT',
					title : '单位人数',
					width : 70,
					align : 'center'
				},
				{
					field : 'AREA_TYPE',
					title : '区域类型',
					width : 100,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_area_data, value);
					}
				},
				{
					field : 'IS_ENTITY',
					title : '是否实体',
					width : 60,
					align : 'center',
					formatter : function(value) {
						return getCodeName(v_entity_data, value);
					}
				},
				{
					field : 'CHILDREN_COUNT',
					title : '下级单位',
					width : 70,
					align : 'center'
				},
				{
					field : 'CREATE_TIME',
					title : '创建时间',
					width : 120,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
		}
});

/****/

/**
 * 序号：4
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	reloadTree();
	$("#unittab_searchForm")[0].reset();
}
/****/

/**
 * 序号：5
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#unittab_searchForm").getFormVal();
	v_query.FIELD_UNIT_ID_IS_PARENT ='A';
	$('#list').datagrid('load',v_query);
}
/****/


/**
 * 序号：6
 * 功能：加载单位树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","UUID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
	  ls_node = treeNode;
	  zTree.selectNode(ls_node);
	}else{
		zTree.selectNode(ls_node);
		modifyNode(ls_node);
	}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	queryData.FIELD_UNIT_ID_IS_PARENT =treeNode.UUID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
}
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsUnitData_listMyAll","unittab_unit_tree","UUID","A");

function reloadTree(){
	loadTree("jwAppsUnitData_listMyAll","unittab_unit_tree","UUID","A");
	
}
/****/

/**
 * 序号：7
 * 功能：提交返回
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function tj(){
	var uuids = "";
	var rows = $('#list').datagrid('getSelections');
	for(var i=0; i<rows.length; i++){
		uuids = uuids + rows[i].UUID+",";
	}
	if(rows == null || rows == ""){
		$.messager.alert('提示',"请选择一行!");
		return;
	}
	if(uuids.length>0){
		uuids = uuids.substring(0, uuids.length - 1);
	}
	if(is_ope=="2"){
		var is_order = $("#ORDER").combobox('getValue');
		var order_id = rows[0].ORDER_ID;
		var is_orderid = $.getUrlParam('order_id');
		uuids = uuids+"||"+is_orderid+"_"+is_order+"_"+order_id;
	}
	parent.$('#return_text').text(uuids);
	parent.$('#unitTabChoice').window('close');
}
/****/
